String[] lines;
int[][] pointTable = new int[5000][2];

double ringCount = 1;
double pointCount = 0;
double range = 0;

int listCounter = 0;

double originX = 200;
double originY = 200;

double pointX = 0;
double pointY = 0;

double newPointX = 0;
double newPointY = 0;

double theta = 0;

void setup() {

  size(400, 400);
  background(0);
  frameRate(10);

  lines = loadStrings("data.txt");

  
  int dotCount = Integer.parseInt(lines[0]);
  double scaleFactor = Integer.parseInt(lines[1]);
  int skipNum = Integer.parseInt(lines[2]);
  
  pointTable = new int[dotCount-skipNum][2];
  
  for (int i = skipNum; i < pointTable.length; i++) {
    pointX = scaleFactor*Math.sqrt(i);
    pointY = 0;
    theta = i * 137.508;
    newPointX = Math.cos(theta) * pointX - Math.sin(theta) * pointY + originX;
    newPointY = Math.sin(theta) * pointX + Math.cos(theta) * pointY + originY;
    pointTable[i][0] = (int)newPointX;
    pointTable[i][1] = (int)newPointY;
  }

  stroke(255);
  for (int i = 1; i < pointTable.length; i++) {
    point((int)pointTable[i-1][0], (int)pointTable[i-1][1]);
  }
}

void draw() {

  
}

